%define module_name	lufs
%define module_version	0.9.7captive8
%define module_release	alt6.132125.9

%define kversion 	2.4.29
%define krelease	alt9
%define flavour		std-up

%define base_kversion	%(echo %kversion | cut -f 1,2 -d '.')

%define module_dir	/lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: LUFS module for kernel %kversion-%flavour-%krelease
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release

License: GPL
Group: System/Kernel and hardware
Url: http://www.jankratochvil.net/project/captive/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: lufs-devel = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
LUFS is a hybrid userspace filesystem framework supporting many
filesystems via external userland drivers

This package contains LUFS kernel module.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version/%base_kversion

%build

# build for kernel 2.4
%if "%kversion" <= "2.6.0"

%make_build TOPDIR=%_usrsrc/linux-%kversion-%flavour \
	EXTRA_CFLAGS="-I%_includedir/lufs"

%else

#build for kernel 2.6

%make_build -C %_usrsrc/linux-%kversion-%flavour \
	EXTRA_CFLAGS="-I%_includedir/lufs" M=`pwd` modules 

%endif

%install
%__mkdir_p %buildroot%module_dir

%if "%kversion" <= "2.6.0"
    %__install -p -m644 lufs.o %buildroot%module_dir/
%else
    %__install -p -m644 lufs.ko %buildroot%module_dir/
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.7captive8-alt6.132125.9
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.7captive8-alt5.132125.9
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.7captive8-alt4.132125.9
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.7captive8-alt3.132125.9
- Rebuild for kernel 2.4.26.

* Wed May 12 2004 Anton Farygin <rider@altlinux.ru> 0.9.7captive8-alt2.132125.9
- build fix for kernel 2.6

* Fri Apr 09 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.7captive8-alt1.132125.9
- Imported into kernel CVS.
- Spec file cleanup.
- Fixed dependencies and %%postun.
- Fixed %%build for kernel CVS conventions.

* Tue Feb 10 2004 Alexey Morozov <morozov@altlinux.org> 0.9.7captive8-alt1.1
- Initial build.

